routes/web.php
<?php

use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\PostController as AdminPostController;
use App\Http\Controllers\Frontend\HomeController;
use App\Http\Controllers\Frontend\PageController;
use App\Http\Controllers\Frontend\PostController;
use App\Http\Controllers\Frontend\ContactController;
use Illuminate\Support\Facades\Route;



Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin'], function () {
    Route::get('/', [DashboardController::class, 'index'])->name('dashboard.index');

    Route::get('/posts', [AdminPostController::class, 'index'])->name('post.index');
    Route::get('/posts/create', [AdminPostController::class, 'create'])->name('post.create');
    Route::post('/posts', [AdminPostController::class, 'store'])->name('post.store');
});


Route::group(['as' => 'frontend.', 'namespace' => 'Frontend'], function () {

    Route::get('/', [HomeController::class, 'index'])->name('home.index');

    Route::get('/about', [PageController::class, 'index'])->name('page.about');

    Route::get('/news', [PostController::class, 'index'])->name('news.index');
    Route::get('/{slug}', [PostController::class, 'detail'])->name('news.detail');

    Route::get('/contact', [ContactController::class, 'index'])->name('contact.index');
});

app/Http/Controllers/Frontend/AbstractController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use romanzipp\Seo\Facades\Seo;
use romanzipp\Seo\Services\SeoService;
use Illuminate\Support\Facades\App;

abstract class AbstractController extends Controller
{
    protected $_data;
    protected $_lang;

    public function __construct()
    {
        $this->_lang = (session('lang')) ? session('lang') : config('settings.language');
        App::setLocale($this->_lang);

        $this->seo = new Seo();
        $this->seo = app(SeoService::class);
        $this->seo = Seo::make();
    }

    public function setTitle($title)
    {
        $this->seo->title($title);
    }

    public function setDescription($description)
    {
        $this->seo->description($description);
    }

    public function addMeta($name, $content)
    {
        $this->seo->meta($name, $content);
    }
}

app/Http/Controllers/Frontend/ContactController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ContactController extends Controller
{
    public function index()
    {
        $data = [];
        return view('frontend.layouts.home', $data);
    }
}

app/Http/Controllers/Frontend/HomeController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Frontend\AbstractController;
use App\Repository\PostRepository;

class HomeController extends AbstractController
{

    public function index(PostRepository $postRepository)
    {
        $this->setTitle('Home page');
        $this->setDescription('Home page');

        $this->_data['posts'] = $postRepository->getListLastedNews();

        return view('frontend.layouts.home', [
            'data' => $this->_data
        ]);
    }
}

app/Http/Controllers/Frontend/PageController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class PageController extends Controller
{
    public function about()
    {
        $data = [];
        return view('frontend.layouts.home', $data);
    }
}

app/Http/Controllers/Frontend/PostController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Repository\PostRepository;
use Illuminate\Http\Request;

class PostController extends Controller
{
    public function index(PostRepository $postRepository)
    {
        $posts = $postRepository->all();
        return view('frontend.layouts.home', $posts);
    }

    public function detail(REQUEST $request)
    {
        $data = [];
        return view('frontend.layouts.home', $data);
    }
}

resources/views/frontend/layouts/_footer.blade.php
<footer>
    <div class="f-infor py-4">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-2 f-logo text-lg-left text-center mb-lg-0 mb-4">
                    <a href="{{ route('frontend.home.index') }}">
                        <img src="{{ asset('frontend/images/sa-logo.svg') }}" alt="" />
                        <span class="d-block text-white text-center">NTD Dev</span>
                    </a>
                </div>
                <div class="col-lg-10">
                    <div class="row">
                        <div class="col-md-4 mb-lg-0 mb-3">
                            <div class="f-box location h-100 d-flex flex-row align-items-center">
                                <i class="fa-solid fa-location-dot mr-4"></i>
                                <span>
                                    <strong>Adress</strong>
                                    19 Boulevard des Nations Unies<br />
                                    92190 Meudon
                                </span>
                            </div>
                        </div>
                        <div class="col-md-4 mb-lg-0 mb-3">
                            <div class="f-box phone h-100 d-flex flex-row align-items-center">
                                <i class="fa-solid fa-phone mr-4"></i>
                                <span>
                                    <strong>Phone</strong>
                                    06 44 15 92 74
                                </span>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="f-box email h-100 d-flex flex-row align-items-center">
                                <i class="fa-solid fa-envelope mr-4"></i>
                                <span>
                                    <strong>Email</strong>
                                    <a href="mailto:ntdoan.dev">ntdoan.dev</a>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="f-copyright text-center">
        Copyright © 2022 NTD dev
    </div>
</footer>

<div class="scroll-top">
    <div class="scroll-top__inner">
        <i class="far fa-chevron-up"></i>
    </div>
</div>

resources/views/frontend/layouts/_header.blade.php
<header class="py-0 mb-3">
    <div class="container">
        <div class="row">
            <nav class="navbar navbar-expand-md justify-content-between w-100">
                <!-- Brand -->
                <a class="navbar-brand py-0" href="{{ route('frontend.home.index') }}">
                    <img src="{{ asset('frontend/images/sa-logo.svg') }}" alt="" />
                    <span class="d-block text-white text-center">NTD Dev</span>
                </a>

                <button class="navbar-toggler lines-button lines" type="button" data-toggle="collapse"
                    data-target="#MediaNavbar"><span></span></button>
                <!-- Links -->
                <div class="collapse navbar-collapse justify-content-end" id="MediaNavbar">
                    <ul class="navbar-nav align-items-center mb-0">
                        <li class="nav-item">
                            <a class="nav-link active" href="{{ route('frontend.home.index') }}">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('frontend.page.about') }}">About</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('frontend.news.index') }}">News</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('frontend.contact.index') }}">Actualites</a>
                        </li>
                    </ul>
                </div>
            </nav>
        </div>
    </div>
</header>

resources/views/frontend/layouts/home.blade.php
@extends('frontend.master')
@section('content')
<div class="row">
    <div class="col-12 d-lg-flex d-block news-container">
        <div class="col-content">
            <div class="news-three">
                <div class="row">
                    @foreach ($data['posts'] as $post)
                    <div class="col-md-3 mb-3">
                        <div class="n-item d-block align-items-center">
                            <div class="n-img mb-2">
                                <a href="{{ $post->slug }}">
                                    <img src="{{ asset('frontend/images/thumb/a1.jpg') }}" alt="" />
                                </a>
                            </div>
                            <h2 class="w-sb mb-md-2 mb-0">
                                <a href="{{ $post->slug }}">{{ $post->title }}</a>
                            </h2>
                            <div class="public mb-2">
                                <i class="fa-regular fa-clock mr-1"></i>
                                <span>
                                    Publication le {!! date('d-m-Y', strtotime($post->created_at)) !!}
                                </span>
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
@endsection